Bug 1123765 - Field property "size" accepts non-numeric input
Summary: Field property "size" accepts non-numeric input
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Form Modeler
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: DR1
: 6.2.0
Assignee: Pere Fernàndez
QA Contact: Andy Taylor
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 08:25 UTC by Jan Hrcek
Modified: 2019-02-28 22:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Enhancement


Attachments (Terms of Use)
Screenshot showing the problem (115.28 KB, image/png)
2014-07-28 08:25 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2014-07-28 08:25:57 UTC
Created attachment 921721 [details]
Screenshot showing the problem

Description of problem:
For some field types there is a "size" property in the field properties window.
The size property determines width of input element in the browser (in characters).

However in form modeler the "size" property also accepts non-numeric input - but it should only accept numbers.

The problem is that in forms which represent field properties of each filed type, the "size" field has type="InputText" (unlike for example "maxlenght" field, which correctly uses field of type="InputTextLong", which does not accept non-numbers).

Plase use type="InputTextLong" also for "size" field in the forms for each field type.

Version-Release number of selected component (if applicable):
BPMS 6.1.0 DR1

How reproducible:
Always

Additional info:

Go to:
droolsjbpm/jbpm-form-modeler/jbpm-form-modeler-core/jbpm-form-modeler-service/jbpm-form-modeler-service-core/src/main/resources/org/jbpm/formModeler/core/forms

and run this to see all the Field property forms which are affected:
cat *.form | grep "<field " | grep name="size"

Comment 1 Pere Fernàndez 2015-02-24 16:50:26 UTC
Changed property type.

Commit (master): https://github.com/droolsjbpm/jbpm-form-modeler/commit/f2794caf6d9aa2181561f2f66e0925b54cc30555

Comment 2 Jan Hrcek 2015-08-06 10:22:19 UTC
Ok, now the size field rejects non integer values. Verified with BPM Suite 6.2.0 DR1.


Note You need to log in before you can comment on or make changes to this bug.